# SplFixedArray::__construct

(PHP 5 >= 5.3.0, PHP 7)

SplFixedArray::__construct — Constructs a new fixed array

### Description

public SplFixedArray::__construct ([ int `$size` = 0 ] )

Initializes a fixed array with a number of `NULL` values equal to `size`.

### Parameters

`size`

  The size of the fixed array. This expects a number between 0 and `PHP_INT_MAX`.

### Return Values

No value is returned.

### Errors/Exceptions

Throws InvalidArgumentException when `size` is a negative number.

Raises `E_WARNING` when `size` cannot be parsed as a number.

### Examples

Example #1 SplFixedArray::__construct() example

`<?php
$array = new SplFixedArray(5);
$array[1] = 2;
$array[4] = "foo";
foreach($array as $v) {
var_dump($v);
}
?>`

The above example will output:

    NULL
    int(2)
    NULL
    NULL
    string(3) "foo"